<?php

class PayshopCreateInstrument
{
    /**
     * @var PayshopClient
     */
    private $payshopSDK;

    /**
     * Class constructor
     */
    public function __construct()
    {
        $this->payshopSDK = PayshopClientFactory::getInstance();
    }

    /**
     * Send instrument to payshop
     *
     * @param array $instrumentData
     * @return array
     * @throws Exception
     */
    public function execute($instrumentData)
    {
        $response = $this->payshopSDK->createInstrument($instrumentData);

        PayshopCommons::checkResponse($response);

        return $response['response'];
    }
}